extern vec2 screen_size;

extern Image bg_tex1;
extern Image bg_tex2;

extern vec2 offset1;
extern vec2 offset2;
extern number angle;

vec4 effect(vec4 color, Image texture, vec2 tex_coord, vec2 screen_coord) {
	/*vec2 a1 = screen_coord - (screen_size / 2);
	vec2 a2 = screen_coord - (screen_size / 2);

	vec2 r1 = vec2(a1.x * cos(angle) - a1.y * sin(angle),
				   a1.x * sin(angle) + a1.y * cos(angle));
	vec2 r2 = vec2(a2.x * cos(angle) - a2.y * sin(angle),
				   a2.x * sin(angle) + a2.y * cos(angle));

	r1 -= vec2(cos(angle) * offset1.x, sin(angle) * offset1.y);
	r2 -= vec2(cos(angle) * offset2.x, sin(angle) * offset2.y);

	vec2 pos1 = r1 / screen_size * (screen_size / size1);
	vec2 pos2 = r2 / screen_size * (screen_size / size2);*/

	//First, make a matrix for our rotation
	mat4 rot = mat4(cos(angle), -sin(angle), 0.0, 0.0,
                    sin(angle),  cos(angle), 0.0, 0.0,
                    0.0,         0.0,        1.0, 0.0,
                    0.0,         0.0,        0.0, 1.0);

	vec2 pos1 = vec4(offset1, 0.0, 0.0) * rot;
	vec2 pos2 = vec4(offset2, 0.0, 0.0) * rot;

	pos1 /= screen_size;
	pos2 /= screen_size;

	

	vec4 tex_color1 = Texel(bg_tex1, pos1);
	vec4 tex_color2 = Texel(bg_tex2, pos2);

	vec3 mul_1 = tex_color1.rgb * tex_color1.a;
	vec3 mul_2 = tex_color2.rgb * tex_color2.a;

	return vec4(mul_1 + mul_2, 1.0);
}