Class = require 'lib/Class'
Vector = require 'lib/Vector'

Entity = require 'game/Entity'
Planet = require 'game/Planet'
Ship = require 'game/Ship'
StarSystem = require 'game/StarSystem'
Camera = require 'game/Camera'

require 'lib/Util'

local ship_images = {}
for i=1,8 do
	ship_images[i] = "assets/textures/ship" .. i .. ".png"
end

local Game = Class({
	camera = nil;
	current_system = nil;

	ships = { };

	Load = function(self)

		self.camera = Camera()
		self.camera.orbit.height = 512 * (5/4);

		self.current_system = StarSystem("Test system")

		local test_planet = Planet("Test planet", "assets/textures/planet1.png", self.current_system)
		self.camera.focus = test_planet

		local test_planet2 = Planet("Other planet", "assets/textures/planet1.png")
		test_planet2:SetParent(test_planet)
		test_planet2.orbiting = true
		test_planet2.orbit = {}
		test_planet2.orbit.speed = 10
		test_planet2.orbit.height = 2000
		test_planet2.orbit.desired_height = test_planet2.orbit.height
		test_planet2.orbit.height_change_speed = 10
		test_planet2.orbit.current_angle = math.pi * 7/4
		test_planet2:SetScale(Vector(1,1) * 0.4)
		self.camera:SetFocus(test_planet)

		self.t2 = test_planet2

		for i=1,100 do
			local ship = Ship("test ship " .. i, ship_images[math.random(1,#ship_images)], nil)
			ship:SetParent(test_planet)
			ship.orbiting = true
			ship.orbit = {}
			ship.orbit.height = math.random(540, 1000)
			ship.orbit.desired_height = ship.orbit.height
			ship.orbit.current_angle = math.random() * math.pi * 2
			ship.orbit.speed = 100
			ship.orbit.height_change_speed = 15
			ship.scale = ship.scale * 0.5
			self.ships[#self.ships+1] = ship
		end

		--self.t2:Update(0.016)
	--	local p = self.ships[math.random(1, #self.ships)]
	--		p.scale = p.scale * 3
		--	p:TransferOrbit(self.t2, {height=300, speed = 50})
	end;

	Update = function(self, dt)
		self.camera:Update(dt)
		if self.current_system then
			self.current_system:Update(dt)
		end

		local dice = math.random(1,6)
		if dice == 3 then

		end
	end;

	Draw = function(self)
		self.camera:Enable()
		if self.current_system then
			self.current_system:Draw()
		end
		self.camera:Disable()

		--draw gui
	end;

	MousePressed = function(self, x, y, button)
		self.camera:MousePressed(x, y, button)
	end;

	MouseReleased = function(self, x, y, button)
		self.camera:MouseReleased(x, y, button)
	end;


	init = function(self)

	end;
})

game = nil

return Game