Entity = require 'game/Entity'
Vector = require 'lib/Vector'
require 'lib/Util'

local Planet = Class({
	type = "Planet";

	SetScale = function(self, new_scale)
		Entity.SetScale(self, new_scale)
		if self.image ~= nil then
			self.radius = (self.image:getWidth() + self.image:getHeight()) / 4
			self.radius = self.radius * (new_scale:length())
		end
	end;

	GetPositionInFuture = function(self, seconds)
		local future_rotate = seconds * self:GetAngularSpeed()
		local new_angle = normalize_rad(self.orbit.current_angle + future_rotate)

		return Vector(math.cos(new_angle) * self.orbit.height,
					  math.sin(new_angle) * self.orbit.height)
	end;

	MoveToOrbitHeight = function(self, new_height)
		--planets can't change orbits, so just cancel this
	end;

	init = function(self, name, image_filename, parent)
		Entity.init(self, name, image_filename, parent)

		self.radius = 0
		if self.image ~= nil then
			self.radius = (self.image:getWidth() + self.image:getHeight()) / 4
		end
	end
}, Entity)

return Planet