Entity = require 'game/Entity'
Util = require 'lib/Util'

local Ship = Class({
	type = "Ship";
	state = "idle";

	transfer_info = {};

	GetOrbitingPlanet = function(self)
		local par = self.parent
		while par ~= nil and par.type ~= "Planet" do
			par = par.parent
		end
		return par
	end;

	TransferOrbit = function(self, other_planet, new_orbit)
		self.state = "transferring-wait"
		

		local planet1 = self:GetOrbitingPlanet()
		local planet2 = other_planet

		local dist = (planet2.position - planet1.position):length()
		print(planet2.position)
		--subtract the two orbits
		dist = dist - self.orbit.height
		dist = dist - new_orbit.height

		--calculate the time required to reach
		local t = dist / self.orbit.height_change_speed
		--then the new position of the other planet
		local future_pos = planet2:GetPositionInFuture(t)

		local rel = (planet1.position - future_pos)
		local ang = math.atan2(rel.y, rel.x)

		local orbit_ang = ang + (math.pi/2)

		self.transfer_info.orbit_ang = orbit_ang
		self.transfer_info.dist = dist
		print(self.transfer_info.dist)
	end;

	Update = function(self, dt)
		Entity.Update(self, dt)
		self:AlignToOrbit()

		if self.state == "transferring-wait" then
			--we're waiting until the orbit is in line
			if float_equal(self.orbit.current_angle, self.transfer_info.orbit_ang, math.rad(1)) then
				self.state = "transferring-up"
				self.orbit.desired_height = self.transfer_info.dist + self.orbit.height
				print("now transferring up to" .. self.orbit.desired_height)
			end
		end
		if self.state == "transferring-up" then
			if float_equal(self.orbit.height, self.orbit.desired_height) and float_equal(self.orbit.current_angle, self.transfer_info.orbit_ang, math.rad(0.1)) then
				--we've made it, swap orbits
				print("made it")
				self:SwapOrbit(self.transfer_info.planet2)
				self.orbit.desired_height = self.transfer_info.new_height
				self.orbit.desired_speed = self.transfer_info.new_speed
				self.state = "idle"
			end
		end
	end;

	init = function(self, name, image_filename, parent)
		Entity.init(self, name, image_filename, parent)
	end
}, Entity)

return Ship