--This file contains a big table of all the resources in the game.

local ResourceImagePath = "assets/textures/resources/"
local Resources = { }

Resources[1] = {
	singular 	= "credit",
	plural 		= "credits",
	description = "The credit is the most basic form of currency and is accepted by any civilization that belongs to the Galactic Council. Civilizations that do not participate in the Council accept other forms of currency and currency conversion may or may not exist.",
	class		= "construction",
	image 		= "credits.png",
	volume		= 0,
	can_stack	= true
}

Resources[2] = {
	singular 	= "colonist",
	plural 		= "colonists",
	description = "A human colonist is one of the most useful resources available to a growing civilization. Every colonist consumes food and water every day and must reside in habitable quarters. Colonists can be employed on stations, mining facilities, and ships. They can also be trained into pilots or soldiers.",
	class		= "person",
	image 		= "people/colonist.png",
	volume		= 1,
	can_stack	= true
}

Resources[3] = {
	singular 	= "student pilot",
	plural 		= "student pilots",
	description = "A human colonist who has attended basic flight training. This student has not flown any actual ships, as a simulator is much safer. The student must now attend another school to complete training and receive his or her flight certification.",
	class		= "person",
	image 		= "people/pilots/student.png",
	volume		= 1,
	can_stack	= true
}

Resources[4] = {
	singular 	= "fighter pilot",
	plural 		= "fighter pilots",
	description = "A human colonist who has graduated from a Combat Flight Academy. Well-trained in flying many types of fighter craft, this pilot can adapt to a vast range of situations. Tactical efficiency may differ, but all fighter pilots are skilled enough to fly fighter-class vessels.",
	class		= "person",
	image 		= "people/pilots/fighter.png",
	volume		= 1,
	can_stack	= true
}

Resources[5] = {
	singular 	= "support pilot",
	plural 		= "support pilots",
	description = "A human colonist who has graduated from a Technical Flight Academy. This pilot can fly everything from small ore transports to hulking refueling vessels to troop dropships. Never underestimate the determination of a certified support pilot.",
	class		= "person",
	image 		= "people/pilots/support.png",
	volume		= 1,
	can_stack	= true
}

Resources[6] = {
	singular 	= "officer",
	plural 		= "officers",
	description = "A human colonist who has graduated from an Officer Candidate School. He or she is an elite pilot worthy of serving on the bridge of a capital ship.",
	class		= "person",
	image 		= "people/pilots/officer.png",
	volume		= 1,
	can_stack	= true
}

Resources[7] = {
	singular 	= "engineer",
	plural 		= "engineers",
	description = "A human colonist who has attended an Engineer Trade School. This colonist can help in the construction of anything from a space station to a capital ship.",
	class		= "person",
	image 		= "people/engineer.png",
	volume		= 1,
	can_stack	= true
}

Resources[8] = {
	singular 	= "footsoldier",
	plural 		= "footsoldiers",
	description = "A human colonist trained in the art of ground combat at an Infantry Academy. This colonist is armed with a rifle, body armor, and supreme knowledge of combat.",
	class 		= "person",
	image 		= "people/footsoldier.png",
	volume 		= 1,
	can_stack 	= true
}

Resources[9] = {
	singular 	= "crate of titanium ore",
	plural 		= "crates of titanium ore",
	description = "A crate of titanium ore, rutile. Rutile is a crystal found in many asteroids and is composed mainly of titanium oxide. Titanium oxide can be refined into titanium, a lightweight yet extremely strong metal used for the construction of spacefaring vessels and facilities.",
	class 		= "ore",
	image 		= "ore/titanium.png",
	volume 		= 10,
	can_stack 	= true
}

Resources[10] = {
	singular 	= "crate of titanium bars",
	plural 		= "crates of titanium bars",
	description = "A crate of refined titanium. Titanium is a lightweight yet extremely strong metal used for the construction of spacefaring vessels and facilities. This titanium comes in the form of large ingots, ready to be shaped into something useful",
	class 		= "refined",
	image 		= "refined/titanium.png",
	volume 		= 10,
	can_stack 	= true
}

Resources[11] = {
	singular 	= "bundle of titanium beams",
	plural 		= "bundles of titanium beams",
	description = "A bundle of six titanium beams. These beams are used to construct the underlying structural skeletons of ships, station modules, and land-based buildings.",
	class 		= "construction",
	image 		= "construction/titanium/beam.png",
	volume 		= 30,
	can_stack 	= true
}

Resources[12] = {
	singular	= "bundle of titanium plates",
	plural 		= "bundles of titanium plates",
	description = "A bundle of six thick titanium plates. These plates will form the shells of space ships, stations, and land buildings.",
	class 		= "construction",
	image 		= "construction/titanium/plate.png",
	volume 		= 0.8,
	can_stack	= true
}

Resources[13] = {
	singular	= "headless doll",
	plural 		= "null",
	description = "",
	class 		= "misc",
	image 		= "misc/evildoll.png",
	volume 		= 0.05,
	can_stack	= false
}

Resources[14] = {
	singular	= "crate of food",
	plural 		= "crates of food",
	description = "A crate of food, enough to feed 100 colonists for one day.",
	class 		= "supplies",
	image 		= "people/food.png",
	volume 		= 10,
	can_stack	= true
}

Resources[15] = {
	singular	= "tank of potable water",
	plural 		= "tanks of potable water",
	description = "A tank of water, clean enough to drink. This tank contains enough to supply 100 colonists for one day.",
	class 		= "supplies",
	image 		= "people/water.png",
	volume 		= 16,
	can_stack	= true
}

Resources[16] = {
	singular	= "tank of waste water",
	plural 		= "tanks of waste water",
	description = "A tank of sewage water from a colony. This water can be recycled and used again.",
	class 		= "waste",
	image 		= "people/wastewater.png",
	volume 		= 16,
	can_stack	= true
}