Class = require 'lib/Class'

local Vector = Class({
	x = 0.0;
	y = 0.0;

	init = function(self, x, y)
		self.x = x or 0.0
		self.y = y or 0.0
	end;

	__add = function(a, b)
		return Vector(a.x + b.x, a.y + b.y)
	end;
	__sub = function(a, b)
		return Vector(a.x - b.x, a.y - b.y)
	end;
	__mul = function(a, b)
		if type(b) == 'number' then
			return Vector(a.x * b, a.y * b)
		elseif type(b) == 'table' then
			return Vector(a.x * b.x, a.y * b.y)
		end
	end;
	__div = function(a, b)
		if type(b) == 'number' then
			return Vector(a.x / b, a.y / b)
		elseif type(b) == 'table' then
			return Vector(a.x / b.x, a.y / b.y)
		end
	end;
	__unm = function(a)
		return Vector(-a.x, -a.y)
	end;
	__tostring = function(a)
		return "Vector(" .. a.x .. "," .. a.y .. ")"
	end;

	length = function(self)
		return math.sqrt(self.x * self.x + self.y * self.y)
	end;
	length2 = function(self)
		return self.x * self.x + self.y * self.y
	end;
	manhattan = function(self)
		return self.x + self.y
	end;

	unpack = function(self)
		return self.x, self.y
	end;


})

return Vector